#include "soapH.h"	// include generated proxy and SOAP support

int main(int argc, char **argv)
{ struct soap soap;	// allocate gSOAP runtime environment
  char *name;
  char *host;
  char *port;
  float q;

  char queryStr[200];
  strcpy(queryStr, "http://");
  if(argc >=4 )
  {
	  host = argv[1];
	  port = argv[2];
	  name  = argv[3];
  }
  else 
  {
	  host = "localhost";
	  port = "80";
	  if (argc > 1)
	  {
		name = argv[1];
	  }
	  else
	  {
		printf("Usage : \n");
		printf("1) %s <hostname> <portno> <your name>\n", argv[0]);
		printf("2) %s <your name>\n   {Defaults used host=localhost; port=80} \n", argv[0]);
		// printf("3) %s\n   {Defaults used host=localhost; port=80; symbol=XYZ} \n", argv[0]);
		exit(0);
	  }
	  
  }
  printf("Connecting to Host : %s ; port : %s\n", host, port);

  strcat(queryStr, host);
  strcat(queryStr, ":");
  strcat(queryStr, port);
  strcat(queryStr, "/cpp_servlet/soap/SOAPServlet?soap_res=trysoap");
  printf("URL = %s\n", queryStr);


  soap_init(&soap);	// must initialize
  Response rs;
  
  // if (soap_call_Infosys__trySoap(&soap, "http://localhost:80/cpp_servlet/soap/SOAPServlet?soap_res=trysoap", NULL, name, &rs) == 0)
  if (soap_call_Infosys__trySoap(&soap, queryStr, NULL, name, &rs) == 0)
    printf("\nStatus - %d    Message - %s\n", rs.status, rs.message);
  else
  { soap_print_fault(&soap, stderr);
    soap_print_fault_location(&soap, stderr);
  }
  return 0;
}

// The namespace mapping table is required and associates namespace prefixes with namespace names:
struct Namespace namespaces[] =
{
  {"SOAP-ENV", "http://schemas.xmlsoap.org/soap/envelope/"},
  {"SOAP-ENC", "http://schemas.xmlsoap.org/soap/encoding/"},
  {"xsi", "http://www.w3.org/2001/XMLSchema-instance", "http://www.w3.org/*/XMLSchema-instance"},
  {"xsd", "http://www.w3.org/2001/XMLSchema", "http://www.w3.org/*/XMLSchema"},
  {"Infosys", "http://tempuri"},
  {NULL, NULL}
};