#pragma warning ( disable : 4786 )

#include "soapH.h"

#include "SOAPHandlerFactory.h"

// This macro is required to be called to register the functions-
// soap_init(), soap_serve() and soap_end() to the 
// SOAPHandlerFactory
REGISTER_SOAP_RESOURCE("trysoap", trysoap)

/////////////////////////////////////////////////////
//
// Implementation of the remote method
//
//
//////////////////////////////////////////////////////
int Infosys__trySoap(struct soap * s, char * name, Response * rS)
{
	rS->status = 1;
	char tempStr[250];
	strcpy(tempStr, "\"Hello ");
	if(name == NULL || strlen(name) > 100)
		return SOAP_CLI_FAULT;

	strcat(tempStr,  name);
	strcat (tempStr, "\" says Infosys__trySoap");
	rS->message = strdup(tempStr);

	return SOAP_OK;
}

struct Namespace namespaces[] =
{
  {"SOAP-ENV", "http://schemas.xmlsoap.org/soap/envelope/"},
  {"SOAP-ENC", "http://schemas.xmlsoap.org/soap/encoding/"},
  {"xsi", "http://www.w3.org/2001/XMLSchema-instance", "http://www.w3.org/*/XMLSchema-instance"},
  {"xsd", "http://www.w3.org/2001/XMLSchema", "http://www.w3.org/*/XMLSchema"},
  {"Infosys", "http://tempuri"},
  {NULL, NULL}
};